<template>
  <div class="doc-viewer" ref="viewer"></div>
</template>
<style scoped>
.doc-viewer {
  height: 600px;
}
</style>
<script>
//import WebViewer from "@pdftron/webviewer";
export default {
  name: "WebViewer",
  props: {
    initialDoc: String,
  },
  mounted() {
    const viewer = this.$refs["viewer"];
    const path = `${process.env.BASE_URL}webviewer`;
    /*WebViewer({ path, initialDoc: this.initialDoc }, viewer).then(
      (instance) => {
        instance.disableElements(["downloadButton"]);
        instance.disableElements(["printButton"]);
        instance.disableElements(["highlightToolGroupButton"]);
        instance.disableElements(["underlineToolGroupButton"]);
        instance.disableElements(["strikeoutToolGroupButton"]);
        instance.disableElements(["squigglyToolGroupButton"]);
        instance.disableElements(["stickyToolGroupButton"]);
        instance.disableElements(["freeTextToolGroupButton"]);
        instance.disableElements(["shapeToolGroupButton"]);
        instance.disableElements(["freeHandToolGroupButton"]);
        instance.disableElements(["eraserToolButton"]);
        instance.disableElements(["header"]);
        instance.disableElements(["viewControlsButton"]);
        instance.disableElements(["leftPanelButton"]);
        instance.disableElements(["searchButton"]);
        instance.disableElements(["menuButton"]);
        instance.disableElements(["pageNavOverlay"]);
        instance.disableFeatures([instance.Feature.TextSelection]);
        //instance.setTheme("default");
        //instance.setLanguage("es");

        const { docViewer } = instance;
        console.log(docViewer.getWatermark());
        docViewer.setWatermark({
          // Draw diagonal watermark in middle of the document
          diagonal: {
            fontSize: 25, // or even smaller size
            fontFamily: "sans-serif",
            color: "red",
            opacity: 50, // from 0 to 100
            text: "Watermark",
          },

          // Draw header watermark
          header: {
            fontSize: 10,
            fontFamily: "sans-serif",
            color: "red",
            opacity: 70,
            left: "left watermark",
            center: "center watermark",
            right: "",
          },
        });
      }
    );
    return { viewer };*/
  },
};
</script>
